import { PropTypes } from 'react';


export const datepickerShape = {
    currentMonth: PropTypes.number,
    disabled: PropTypes.bool,
    emptyText: PropTypes.string,
    expanded: PropTypes.bool,
    focus: PropTypes.bool,
    hasGrayedOutPast: PropTypes.bool,
    onChange: PropTypes.func,
    onCollapse: PropTypes.func,
    onExpand: PropTypes.func,
    onSelectedIndexChange: PropTypes.func,
    selectedIndex: PropTypes.number,
    tetherTo: PropTypes.string,
    value: PropTypes.oneOfType([
        PropTypes.instanceOf(Date),
        PropTypes.number
    ])
};
